summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin269266 -> 269293 bytes
-rw-r--r--dev-python/astroid/Manifest2
-rw-r--r--dev-python/astroid/astroid-3.1.0.ebuild73
-rw-r--r--dev-python/griffe/Manifest2
-rw-r--r--dev-python/griffe/griffe-0.41.0.ebuild45
-rw-r--r--dev-python/jupyter-lsp/Manifest2
-rw-r--r--dev-python/jupyter-lsp/jupyter-lsp-2.2.3.ebuild85
-rw-r--r--dev-python/jupyterlab-lsp/Manifest2
-rw-r--r--dev-python/jupyterlab-lsp/jupyterlab-lsp-5.1.0.ebuild26
-rw-r--r--dev-python/notebook/Manifest2
-rw-r--r--dev-python/notebook/notebook-7.1.1.ebuild64
-rw-r--r--dev-python/objgraph/Manifest2
-rw-r--r--dev-python/objgraph/objgraph-3.6.1.ebuild60
-rw-r--r--dev-python/oslo-concurrency/Manifest2
-rw-r--r--dev-python/oslo-concurrency/oslo-concurrency-6.0.0.ebuild50
-rw-r--r--dev-python/phonenumbers/Manifest2
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.31.ebuild39
-rw-r--r--dev-python/poetry/Manifest2
-rw-r--r--dev-python/poetry/poetry-1.8.0.ebuild96
-rw-r--r--dev-python/pydyf/Manifest2
-rw-r--r--dev-python/pydyf/pydyf-0.9.0.ebuild28
-rw-r--r--dev-python/pylint/Manifest2
-rw-r--r--dev-python/pylint/pylint-3.1.0.ebuild92
-rw-r--r--dev-python/urwid/Manifest2
-rw-r--r--dev-python/urwid/urwid-2.6.5.ebuild47
-rw-r--r--dev-python/weasyprint/Manifest2
-rw-r--r--dev-python/weasyprint/weasyprint-61.1.ebuild47
27 files changed, 778 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index b9ed2535d37a..8d159a8c3dbc 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index c258173b0a0f..9a8e1d2afa03 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,3 +1,5 @@
DIST astroid-3.0.3.gh.tar.gz 461982 BLAKE2B a41d29b69dc0b0098a449ca0d93934edb5cad56017776971f0982b97b742472bcc731b409c582ca8ab9daabf20d9a84b950a70b08d830bc42ef90ba922fafbcd SHA512 88164dcefa4136c53450d228128c0bb317218fbceb39c4889a7e313691fa0f0b04fed5fb5e25c6a46883d432f11289a4cd3306757a109d314e62580db0261289
+DIST astroid-3.1.0.gh.tar.gz 463675 BLAKE2B 363ca82814c170c89beb39118109e8a8488f5b5a43bb4a0fdb6d88a24842789ebfb3bb9ed6ebd00f1cd90dfc2d1c7d9730c8c2fe17eadb8f52f53add47cd5089 SHA512 7b2cd6270d1a9219d32e69e1a9c9eeffd2c5fcf575bc53df4a8c2d8df97b019e3e4e60768286a757a7390effcb454c7997f1f0f677c2b6370a2c3a9d46519057
EBUILD astroid-3.0.3.ebuild 1715 BLAKE2B 9318a0de5fe42798679c0624a9cfd37752a92be9384b5a4a6a8db05a975271bf6efb8f2479b56e0c0f97dcc7e662c727281263ad9914630cc51b5065f7e52a84 SHA512 a2f5a128f150cbd9bcf9325571cd016612ac981809515b82ee539d5b2781df19ba98018f43abdd12292074216a74a55a6037182082c66575e1ea501280972dd4
+EBUILD astroid-3.1.0.ebuild 1931 BLAKE2B 44e94ef1c6aa01731f874d28e1053c8ed9568da026a5eed378415d2941a1be587a7a4d53939b803b83af8e58fa0bcaa05d4f0cded25649d8ccbb1f9947fb468d SHA512 f90e171d7dab724a4c2838cc9d8d1757c1fff078eecbb0d8ad4d6fa408899f4fd80b1e03b4d51b1492a9e8d29bc322472fa4303123b030122d84db4d5393bc72
MISC metadata.xml 1148 BLAKE2B 29a6cfc0c292117920be154d37ed4770f1fb1679186576fe6151cc02d1d6be766045e0231e2fceb87cbd250dbed3888c99b7ca7dc0182cc700a11961d9cd6d9e SHA512 6821d13f5e82bd73ee4fd165c0b4c94f40cd6af536dee1658cccb4175e67da2611c4d1478cdef1607535f23224116ad482197e0b0eef8f0a94d596bf250b3074
diff --git a/dev-python/astroid/astroid-3.1.0.ebuild b/dev-python/astroid/astroid-3.1.0.ebuild
new file mode 100644
index 000000000000..ff44524a497b
--- /dev/null
+++ b/dev-python/astroid/astroid-3.1.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/pylint-dev/astroid/
+ https://pypi.org/project/astroid/
+"
+SRC_URI="
+ https://github.com/pylint-dev/astroid/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in pyproject.toml
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# dev-python/regex isn't available for pypy
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/regex[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why they're broken
+ tests/test_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/test_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # pydantic-2?
+ tests/brain/test_dataclasses.py::test_pydantic_field
+ # requires urllib3 with bundled six (skipped with urllib3>=2)
+ tests/test_modutils.py::test_file_info_from_modpath__SixMetaPathImporter
+ # hangs
+ tests/test_nodes.py::AsStringTest::test_recursion_error_trapped
+ # TODO
+ tests/test_builder.py::BuilderTest::test_data_build_error_filename
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ tests/test_transforms.py::TestTransforms::test_transform_aborted_if_recursion_limited
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 4beef23bbf1c..60e881219b2d 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,3 +1,5 @@
DIST griffe-0.40.1.gh.tar.gz 216435 BLAKE2B 0b2e304db94dadd113e72fd49d593a56fb4a115d18bde46a76f27a28e44d7efc7620e0782eb9960a32278c63ca79c7a499a5214cc3856794dc9d89c4333f44ec SHA512 6e7d3d120cee4270f6455ac46a43e03da7f77e6b8c2776eea3a49d0809737cdebf24ca413d1fb05c025b820d5dd55717781d33749b29dc60edcfa5848c890d7b
+DIST griffe-0.41.0.gh.tar.gz 216110 BLAKE2B ce7865bc38afc60b61ca530937599a25a45e5eb1ed905d989558da39246bf4fd75cf109f8158cd11a1d83c5d369a30d15fda1fa2d301b6ce0b54f198e21284a3 SHA512 48fbe053755027dca9c5cb00ed9eff07667114585381a4ff017de508bcd555a54ea457c652719d43e28878eef26a985517d4b14d4992a8681d60be9090507814
EBUILD griffe-0.40.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
+EBUILD griffe-0.41.0.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
MISC metadata.xml 398 BLAKE2B eb35dbbdd7d3482404991416d9e06e3e87f88a96cc91d481b5a2f53eb732172116b4cfefa1a65f9ba8db44e2b10ed0fd6e4031b7d17382e9e931d1a2eedb322e SHA512 833aac5d52c2584143d67b7ad325e9538cee17d454410b3c4708ad9b47f58d3b2c0875d735b149603bb36ae124d24343b2e456a6db5e5f806da2e13f32c108cc
diff --git a/dev-python/griffe/griffe-0.41.0.ebuild b/dev-python/griffe/griffe-0.41.0.ebuild
new file mode 100644
index 000000000000..73f99c53e1af
--- /dev/null
+++ b/dev-python/griffe/griffe-0.41.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/jupyter-lsp/Manifest b/dev-python/jupyter-lsp/Manifest
index 4e23d3235c07..866bb957914d 100644
--- a/dev-python/jupyter-lsp/Manifest
+++ b/dev-python/jupyter-lsp/Manifest
@@ -1,3 +1,5 @@
DIST jupyter-lsp-2.2.1.tar.gz 45839 BLAKE2B 5f7af7a335f97f8f35ebcd2cabb9b6377ec3bbc9b756bcd9c02e3b2ab8798855c2de9df7b9c3f1b832672030de660e1b6a475de70708911c1deca128d1cbfe44 SHA512 2f8d5a7a19daedd649810baa43bed5ae994dec7245a793298f5de4c32fd22190ffa3c4a356b3bfda3422fcdce5a34ea081c7f49030db8fcb633f761719ecfe4b
+DIST jupyter-lsp-2.2.3.tar.gz 48675 BLAKE2B b7b57e6d5cf2efb1a6c4a2884da721b8230da28f656679bc46502b38f4960663400af0dcacff2e92d211dd8e190ee633dbb63d24e9499b8530ebbc399597abd7 SHA512 ecccf5a99ef64e64bcdf999673035c45f5ccf42e9e02c3de9c600c0469f727f3cf0a6c71f53090494523070521df88642260e477588963303af0d9ba0518bb96
EBUILD jupyter-lsp-2.2.1.ebuild 3016 BLAKE2B 94e94c2d6dc87e7cc449102d634db329b1baf8918ed0cb64e7abb709d02c548fa9be2c5eb29ff0c110b76fd8a022d4756ce1d7b0ac662720d11471cb77ac3225 SHA512 2e124902260380d8bf4a0738169d04dc6144f9647de9163bb09cd277565c1a4e7276d099bc7599a2b71d8d9b47ccbf7f9b1d9a5e6290b8fb1da5a34c53db0564
+EBUILD jupyter-lsp-2.2.3.ebuild 3107 BLAKE2B d6bf1b9052c5a3c598da786acee1a336df6ca0517ecbe4a7222b3d32ae73a75993119d2ba277cd3faafbbca6347b059e426060a09775596248858b33a0f97e1d SHA512 419cb067fbd4ed95d421bab505a117111fbe934df5b0f6d8cf4830fa538d0f2b430b06df6e41262b6745003379208b2e806828b7becab825a0c3fb9cedec54b3
MISC metadata.xml 418 BLAKE2B b5e29964f271efebf225f8f8cabfcda723f20a40693df463a8d0aad04d63dc67b35a16a8ee83fc7d37aff55fc481bceb02d20221c6c11ab3993fd1fd3b5cdbd4 SHA512 4935850508d3b951c3f6e0bd4068303e6f6415024852e276ffd67777dca3da53aa9879ef460287f90b5c66dde02ec10a1eeb249579ef1fabf7dbed882f5cbe42
diff --git a/dev-python/jupyter-lsp/jupyter-lsp-2.2.3.ebuild b/dev-python/jupyter-lsp/jupyter-lsp-2.2.3.ebuild
new file mode 100644
index 000000000000..e742236af349
--- /dev/null
+++ b/dev-python/jupyter-lsp/jupyter-lsp-2.2.3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab"
+HOMEPAGE="
+ https://github.com/jupyter-lsp/jupyterlab-lsp
+ https://pypi.org/project/jupyter-lsp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-1.1.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not depend on pytest-cov or flake8
+ sed -i -e '/--cov/d' -e '/--flake8/d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hangs
+ jupyter_lsp/tests/test_auth.py
+ # Not packaged
+ jupyter_lsp/tests/test_detect.py::test_r_package_detection
+ "jupyter_lsp/tests/test_listener.py::test_listeners[bash-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[dockerfile-language-server-nodejs]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[pylsp]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[r-languageserver]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[sql-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[typescript-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[unified-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-css-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-html-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-json-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[yaml-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[bash-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[dockerfile-language-server-nodejs]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[pylsp]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[r-languageserver]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[sql-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[typescript-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[unified-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-css-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-html-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-json-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[yaml-language-server]"
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ jupyter_lsp/tests/test_session.py::test_start_unknown
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ optfeature "Language server for Python" dev-python/python-lsp-server
+}
diff --git a/dev-python/jupyterlab-lsp/Manifest b/dev-python/jupyterlab-lsp/Manifest
index 7ffae970e36d..4d8ec968a1eb 100644
--- a/dev-python/jupyterlab-lsp/Manifest
+++ b/dev-python/jupyterlab-lsp/Manifest
@@ -1,3 +1,5 @@
DIST jupyterlab-lsp-5.0.3.tar.gz 757263 BLAKE2B df2a3a1a1cb0a9a9345f151ae5c510056ca26868353d457b7aa4b6405041f0b4e55afba09019722a1f37592b46b1a8e53b40c8f595215f74cea29a598b029648 SHA512 20d5a3e33fbab8b5e47a10f23b12cf7e91ca5d4ac9020345e3cc973a391643cd380ff182f1109a387a7ebcced6becd1b7847a888829cb30be1f4ed536177575f
+DIST jupyterlab-lsp-5.1.0.tar.gz 760295 BLAKE2B 08113210cdafe14e4dacccc1916ab58eb455064d4869ba82f87d3c2ef92d696152058f45eee092653db869d44344a1de8784bea0cc9d27d7888bf0c3d6dcae5f SHA512 c06e88803af956c00b91aac70c2421fade39d29b8e20ac5a77ac7dff9767160b1d79ef5b2aff270a126442675790f1286ad73b947af72218d8a668117b647f29
EBUILD jupyterlab-lsp-5.0.3.ebuild 610 BLAKE2B b16ec1dd4c48c363f7bc80677004a6cb2bae44b5cd2cb98c46141f6dbb8092eb505e9dc433d8807c53a31c47129df4e3911799eaad391678166fffe44075bed0 SHA512 19260535774c96dd83c266db21e4a501c9f4ba775894e95fc4eecf6bebf122f654dfe2a1a138ae80cb8469fbd733d2bfc7a2d4c30cb24fc95ae8b1a2f0492c80
+EBUILD jupyterlab-lsp-5.1.0.ebuild 610 BLAKE2B 9eab6ecdd8b80696e4c480f8fedda517caeaeee975e224ce46ad3ec1dcd2b8e026ead2cc469edfaae4d0993d1a6527982b42a1b229cc7ddb512d0f725176df65 SHA512 3d83199df82aab23e604f09ad1577311399b204cab52093ae32b4fdc9f7b633290242330b1546508f4a42feae61bb5e3a57f83cfe6a75072d62e28dbf0afb1e8
MISC metadata.xml 421 BLAKE2B cbd9c4e3ce5848ed3d0e57832082dd730d2d16a286070639602b8fcd49c49714e7f17b220251b9f16d9c5105248933390b152c060c68522d2c82b1958b09b116 SHA512 97ac68ac4e6920f23120a5818b4404fa0b510b165a44a6455a7bf76edfa298ca137f50bd9c1a87044253f5b873f881362c2667261a4c7fdb182a7d37325520b3
diff --git a/dev-python/jupyterlab-lsp/jupyterlab-lsp-5.1.0.ebuild b/dev-python/jupyterlab-lsp/jupyterlab-lsp-5.1.0.ebuild
new file mode 100644
index 000000000000..3f5f03ffb226
--- /dev/null
+++ b/dev-python/jupyterlab-lsp/jupyterlab-lsp-5.1.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Coding assistance for JupyterLab with Language Server Protocol"
+HOMEPAGE="
+ https://github.com/jupyter-lsp/jupyterlab-lsp/
+ https://pypi.org/project/jupyterlab-lsp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/jupyterlab-4.1.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 3203f9549d1e..1d18381dc47f 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,5 +1,7 @@
DIST notebook-7.0.8.tar.gz 3937092 BLAKE2B eb0276f42018e6c577a67ebbfc3c1bc7d81a9b1fd0ba039d1e6a7f3973edb35f3000a6720cf6af136a90c6268e711507155a872e02f91eeb39633e2faa55ae93 SHA512 d5616efcdf5863b5bb0b5d3be92654835773b49aa47660f2cd593240f9695ff2797233545be6215a5d0098501e8fa39f4123bf4348e1113b3be5ea29d51662f5
DIST notebook-7.1.0.tar.gz 4896581 BLAKE2B 441aaa42f7fac8840c81fefbf1f43f8789a39c4294a1cfa7aa772bf803bde8de2635a5fdc5e4688254d0c280bc7f17ad144009ae1857054852347c52b73f4cdd SHA512 d456dcc6c4b40c646bb7eb77e6a59cd5a947148b05e3930e992a00d2a285c8867e42bf04a3c0cb45d2b5491f9da10a8e12727dc0de84728a6cdf91184c083aca
+DIST notebook-7.1.1.tar.gz 4896811 BLAKE2B 30f3f8b7a5fa0d1ed0ab03464b4139d0545d5bd8df451640ed07918dc2baf85b38fe4d9575133c088dc308774c074dc781a8bba6290663da34b2684b8a66f10c SHA512 ee0b9e41f60a02b826a8d2b387a5158ff49340893e9b211faccb56f024a817e046677d667711d2186da29bf472194b788c9ab8fb3900b002de0700fc3ae70597
EBUILD notebook-7.0.8.ebuild 1543 BLAKE2B c1a40945727574cb08f4a5446d3b6d2f44abd6950ee8c19fda55f2877fba4dad51c44f513e7b659295113f85cd8f8f906df1f96b899648ac29e50e8b86d6b88a SHA512 7f2ace2027478b3f820c4fdbe1115a4ed2213ff02dc80a89cfc39a3663c9c6e541787c83a7178fdf8ba790d17ead640734a3d719d5ad2dd0a1ded339ea616346
EBUILD notebook-7.1.0.ebuild 1656 BLAKE2B ae6459fbe449eaaee529d387770c69371a049c4a961ff461bc5ca66059b63853a9e8ab06a01ce5f38cc0577468128c4f315ffce51a1a285cd8f2abd318795aeb SHA512 89c32d7bbb909a8f4ce5a44142cba4ace59f0980b456819d1bec310d30b6dcd891203d71426a0d3271d65f894f7b9c4432c9ad8b2b651c351a008b0043271675
+EBUILD notebook-7.1.1.ebuild 1656 BLAKE2B ae6459fbe449eaaee529d387770c69371a049c4a961ff461bc5ca66059b63853a9e8ab06a01ce5f38cc0577468128c4f315ffce51a1a285cd8f2abd318795aeb SHA512 89c32d7bbb909a8f4ce5a44142cba4ace59f0980b456819d1bec310d30b6dcd891203d71426a0d3271d65f894f7b9c4432c9ad8b2b651c351a008b0043271675
MISC metadata.xml 525 BLAKE2B 03602bbd7c6b55aaa4c4d6011a91127090359079ed2d7e6b9e3cefe63b2b249b36cd172a40d1ce69234de2440d9248e933dd94a636b95c07f06a658ecb929227 SHA512 18f6bd5cb4b1c90cc228a5ee506cea17c4aa9d60174e00c7cb4df654d5d7158aa20ea6346bf9a0734877402a0e0916aa7f9e82f0bdce0cca78c877c5e87550e3
diff --git a/dev-python/notebook/notebook-7.1.1.ebuild b/dev-python/notebook/notebook-7.1.1.ebuild
new file mode 100644
index 000000000000..31ad57353c3d
--- /dev/null
+++ b/dev-python/notebook/notebook-7.1.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.1.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.2[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.22.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/objgraph/Manifest b/dev-python/objgraph/Manifest
index a620cbc1227a..e2ca15c75f95 100644
--- a/dev-python/objgraph/Manifest
+++ b/dev-python/objgraph/Manifest
@@ -1,4 +1,6 @@
AUX objgraph-3.4.1-tests.patch 2708 BLAKE2B 2b2c78340c1be1c60fe3b43a671b1fab07bcb58275d90f59fca9dcc8bebdd52f5d6ed69455f9135647b27ed64d3251cb7d7b5f3da4e7b394bf45a45791b73c73 SHA512 8d8a43bcb75141a5fa278871d7e4e3b2ba1dcb833967a347f334675d6fa1a510d7f9abbcae82419617fc593ca02e1708ff69d9b4babe1d23e08d24814f9b564b
DIST objgraph-3.5.0.tar.gz 638591 BLAKE2B 7a0ee6c9ee1d8417f7b322f19a397ea2452ed592ebbc07afc1378e86b5bad3895ed2e4a20d92a5f4b0215f68fc7440f85852303585a3161497a85d41d4c4e550 SHA512 da29202871bad06f2caa9cc297e7bf9a15af4c89e23baf9c271764e0ce93ff9557cd5c21d0bf39b425713460dbe2dbc8468d70c6bfcc1c3ff8b1b4d4a7923858
+DIST objgraph-3.6.1.tar.gz 759513 BLAKE2B 875a4027b79446302755d00296ce0ae59d267f3996f206c8319a93cc8d5f53a0f26cf4701047d3b03beb3906bc5d70c23cdecfc135204d9fd9fea55d85e07a65 SHA512 9a15340aedb31e849739ec0667fefb52f99a94244540a7e1c0387299ad5fbbde05521ea91b959bc96204c4a62f796183377c6031af9c6a67828a91939f15225a
EBUILD objgraph-3.5.0-r1.ebuild 903 BLAKE2B d4ea4a95dfdc70be1e0b1b7fbe2a5c22662984420cf711ba211af299f0dab7383da2f23162cd69fc49cf23b093846fbfad2e56b2c9e8c56d33500c861be661d7 SHA512 ad800519baf980de1cab8df260a2737e0c46566f583bd62bcab6b7a95491b2ccb89766212c14a4f01728b905213b2526b9ab88babd038a2aade585baaca5f447
+EBUILD objgraph-3.6.1.ebuild 1281 BLAKE2B dcf18cb56a07feb76bd5673d526cba2ee341f91f9484d930fb5bf05e53bb44c33c22c0895090f3d6708df4114977ecb55cc3f9d2c78ec7721eda188f9a3f07e9 SHA512 9f771acdff1b185598340bcf9cdd54b2d9b66735ccc6f63e5876417cbbe256cb48d09339047a7d15f0cb03b63803511b5644473f98a990c9cbc0994022cb0150
MISC metadata.xml 514 BLAKE2B 3da44f63b9604c7f730f9efc543d102bd2660eea11faeb29c6977b5cecf647d15c3075a9a20e81f9e35b3f08b2d51d47a6c1b63d9928bb56c22baaf61f1ced15 SHA512 5521d5ac2053e45ee1c7fec6ae176956f5823c22c144b8bcbfb47c2ca29c6595abfe45a3fd90a9a058b927157a22196dc17b14c6832a685214c4d2ebbe59c959
diff --git a/dev-python/objgraph/objgraph-3.6.1.ebuild b/dev-python/objgraph/objgraph-3.6.1.ebuild
new file mode 100644
index 000000000000..bcd79608beac
--- /dev/null
+++ b/dev-python/objgraph/objgraph-3.6.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Draws Python object reference graphs with graphviz"
+HOMEPAGE="
+ https://github.com/mgedmin/objgraph/
+ https://pypi.org/project/objgraph/
+"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="
+ media-gfx/graphviz
+"
+BDEPEND="
+ test? (
+ media-gfx/xdot
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # unhappy about pytest
+ tests.py::AtAddrsTest::test_at_addrs
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # CPython GC
+ tests.py::ByTypeTest::test_new_garbage
+
+ # repr() mismatch
+ tests.py::StringRepresentationTest::test_short_repr_mocked_instance_method_bound
+ tests.py::StringRepresentationTest::test_short_repr_mocked_instance_method_bound_with_mocked_name
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # TODO: figure out how to run doctests
+ epytest tests.py
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/* )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/oslo-concurrency/Manifest b/dev-python/oslo-concurrency/Manifest
index 59cbed40c33e..e407d628d589 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1,3 +1,5 @@
DIST oslo.concurrency-5.3.0.tar.gz 60677 BLAKE2B 72af8a54bbea85e7564c5c04463e106e16ab1608f7ae8662b1e5db3cc07d07b0bd2531dedd9227d6823700c0e93e3c160afe7ddf27f6023715e62b787246fb64 SHA512 6f3adc558a7879ae05bfbfa30dfa4c687e5f1cd6385a6881b2e1647b116aab5816d1333b42bac0c8554685ea2ac3ee293d5b9dc836c214bb708e2d53a6971639
+DIST oslo.concurrency-6.0.0.tar.gz 60373 BLAKE2B 24002c424894826f86d9fa7601d107ab04159ace9388944b615d4c1e35f54d5d8438b1a5021a3c3b0ef755d9b92382b9804fe8f7a84075feb7d7d523a4d1cbe9 SHA512 6a706e0590f6e29ab560e4133ffdb8dbd6c2cb2dc7cd16acd803ca93800a38223f57eec8c79698c9fe5bf47b1cdcbb89e1a98d3ea36f03a9ccee9da9ab39a0d9
EBUILD oslo-concurrency-5.3.0.ebuild 1172 BLAKE2B d36371992aa0fe4cb341b78cfcf44fbb963ebb5ccb47fcb2bf5e2910162bd3292593d44add0fe9fcb3b8391ec8b701dce254f1f30219bcbb47e0e04d4b99d778 SHA512 ae9c9d5386d759a2957ee3ef4e60ed83b3efb08446898defb8f3767f03ee7654aef064c337f2376986280c58cd04829880f516fd3bb19ed96f5845f58ccf37f6
+EBUILD oslo-concurrency-6.0.0.ebuild 1175 BLAKE2B 44b0e9b7764432e69da65508d166473313034c5dcdd3646b19508eaf928923f8073f7e0e44f3b9375b71cc3379c64d2971a58150485a8a617aa740222dc8bca6 SHA512 da9aadeba50a9165fef5dea1fdab25305ac724374bf41cec30eb642698a0fb0f2c56ab257298ea3b835dc77f2b42e5c8dd3478a58c07f41b6a8b3c71fba45766
MISC metadata.xml 423 BLAKE2B 965b9f3a9b25cd0f93f13bc12af982b8435e946c1317b6c3a013d016ac6ac3df39f94e1a69f6ef28355459cc5d59fa32c2004727e6772696dab755aee6ad46f4 SHA512 ffc8e1547e6f8356071744a4cf2d5f88d02f2a34322857245c68057699f0b87ea351a7821682ab3d72b777260c8887524467a201fe931787fa1b2ad67eb022a3
diff --git a/dev-python/oslo-concurrency/oslo-concurrency-6.0.0.ebuild b/dev-python/oslo-concurrency/oslo-concurrency-6.0.0.ebuild
new file mode 100644
index 000000000000..8706152fbfa1
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-6.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Concurrency library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.concurrency/
+ https://github.com/openstack/oslo.concurrency/
+ https://pypi.org/project/oslo.concurrency/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # fails, then hangs
+ rm oslo_concurrency/tests/unit/test_lockutils_eventlet.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 555ca344f14d..8f5e205ec302 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,3 +1,5 @@
DIST python-phonenumbers-8.13.30.gh.tar.gz 4915529 BLAKE2B 539928d8f748919b28c876cfca7d800e36e99887dca3a730fffd5bd7a96bb1138291b242f075caecb4e2c38d6a8cd4d63f342a1006deab605179e7825f6a6b38 SHA512 6aedb4a117453dcba2b215a90c25fdc8bb309e74b644746b51b2c41b559b4d778a6b115a5fb69e8d95d7ea6148ef5a92ddef6f97ebbbd99d2a02a7480c7053f2
+DIST python-phonenumbers-8.13.31.gh.tar.gz 4915554 BLAKE2B bf8f8f8fb43f7f5b39ce3155a2f8f4f9497734bdf016c2f871e16354b50072dde106a5549d998ae48ee7e41b0517fdc73c68e3dd18960b45c13c85001ae170d4 SHA512 724d8adf172e1a12e6d89ad104bc89330f02c4eab6b23812cd09464ddc4002a13c90b8a47456ebe99018a21c18ed7ea71f85f3fe80f4f823f0f35c95fb22d513
EBUILD phonenumbers-8.13.30.ebuild 816 BLAKE2B 9a91edd2625fc7c277ba2897cb9d647aeee717ba6373697ab134e865b326990650b49bbaccc04ef442e326fea751b25c4dfedf4fefbedeaabdd83df64e551ebd SHA512 263c125e0c820cd1e0924e891444256676cf3e427b8f2ff1f0788584802c9cb55c496cd60619ea55cb7cb88a1ae5a7b7594057fc99f58b709b951a84203e5766
+EBUILD phonenumbers-8.13.31.ebuild 818 BLAKE2B 9bf355913b9ee3be2b380dfa5f679c08da753ead0df156ede2bf5e6499699814a7cfa6e51988d987cd92f632b07d222fb9cf261a0eae7bef32d55ededef6e406 SHA512 8656a45bd6078afd23b7f511c8223b20e00df91e35324c8a8ad6bc43b73700ebdb3ad28b98c29338939bd1144f48a715eb4f36f616481fa002ba5d0bab22e17b
MISC metadata.xml 413 BLAKE2B 4fa9965e76205ab35de37314b8c06fae26ccf34a944401e672487d7ad42b0046b4de85c8dd4c500d2703b5ecca49755b3f6d9047a20d7226fdbdf63e0aca3220 SHA512 de88d4162ba8f97748a1d2a17a8bea48f59b84f67c76aec11a9bad8ab0d0b66bc9cc2395dfff446bbad591f52f755a38ccd0daf2480b4f2e22e80ce5d44a42c1
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.31.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.31.ebuild
new file mode 100644
index 000000000000..2fc9bdbaa7c9
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.31.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/poetry/Manifest b/dev-python/poetry/Manifest
index e7c8f4235e53..9ff3a14dd740 100644
--- a/dev-python/poetry/Manifest
+++ b/dev-python/poetry/Manifest
@@ -1,3 +1,5 @@
DIST poetry-1.7.1.tar.gz 1483927 BLAKE2B d32f84cbed6f895678fba723700504cafe2bb7b1de0be0f289c0606b3c775d02e4172d74aafe58f29f9e2b5b9cb0f614b902bb9efa55ab1077a6689a8b4d331f SHA512 bf3654e9de71da35d7adfc239797dbed9813a2a1bb585b0bd9ad398706ad1628430422d0ebe7d9c3dcc1f619ad1a1a2073e9d9d3296354bf2f14a1aed5a5444e
+DIST poetry-1.8.0.tar.gz 1514968 BLAKE2B 6ef6b8db6cd32c3c8d9a0759ebbfcfd4fafd79a4d236a5f48d7d1abc2d31bd93ee00686bf3623c5fbec212001dc1f2c4afce41f660b1404c39ad04815d364275 SHA512 ef2b3c6ea66d1d565ba8e17f0e4210e4406c08dd2d947deed85eb667ebfd618c3148ee0b67b5b2a020c7ddfb3fc692859de19e421c449954019d7a4b7942dd3d
EBUILD poetry-1.7.1.ebuild 3266 BLAKE2B f58064bb0021b5d1616ef080090dfd8422d613260518049a2a1336e38927e633867d6f08e996eef6a550471769bc868699cdcdf6ae5fc0ab25faf6f73c857628 SHA512 236377b52df91550025c26817831cd8365b385bab5117f2dc635e4e2cc7df4b25f8e40f87b4de4757ee672f328c4d1ba7175f987b09648726dd1377ae1aa5854
+EBUILD poetry-1.8.0.ebuild 3586 BLAKE2B 0b7bda7bff91ba09169bb962915443284427e185f4ef6d97745aba87e2e7d9b139a4b40e34a7cf24b04be47cc6260ee4a65c824d0b101adb8ac57ee4785f261a SHA512 a6ab1b9338c07edfff1354fad2914090ea4dcd3a7493c087e7c642e3f342c92feb785e60d12d0e22d0529f954f74dcc29b9df3ed341e1a6e62d8e476f9134302
MISC metadata.xml 486 BLAKE2B 7757afe2f964f49a04a600ec80af8511387c3a80105c9050755e1815cac148734f540e4da8c1da401c15a63bf5d0a8200ed6a5e1c09e5dacc7d39f5f59dd343f SHA512 541063e55b4dc5b927ef4ff6b385663bbf978d13ac6644c2537483ec42f211780cab4d881b159894dfe86519b4655c80bcfe17cdb90a2e033077b390a3842f46
diff --git a/dev-python/poetry/poetry-1.8.0.ebuild b/dev-python/poetry/poetry-1.8.0.ebuild
new file mode 100644
index 000000000000..b2545930acf3
--- /dev/null
+++ b/dev-python/poetry/poetry-1.8.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A frontend for poetry - a python dependency management and packaging tool"
+HOMEPAGE="
+ https://python-poetry.org/
+ https://github.com/python-poetry/poetry
+ https://pypi.org/project/poetry/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# dev-python/build: 1.0 breaks backward compatibility
+# https://github.com/python-poetry/poetry/issues/8434
+RDEPEND="
+ >=dev-python/poetry-core-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/poetry-plugin-export-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/cachecontrol-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cleo-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/crashtest-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/dulwich-0.21.2[${PYTHON_USEDEP}]
+ >=dev-python/fastjsonschema-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/installer-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/keyring-24.0.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.5[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.9.4[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/shellingham-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2022.5.19[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.23.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/deepdiff-6.3.1[${PYTHON_USEDEP}]
+ >=dev-python/httpretty-1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # unpin
+ sed -e 's:\^:>=:' \
+ -e '/poetry-core/s:":">=:' \
+ -e 's:,<[0-9.]*::' \
+ -i pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+ # Tests require network (they run `pip install ...`)
+ tests/installation/test_chef.py::test_isolated_env_install_success
+ tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_directories
+ tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_git
+ tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_git_with_subdirectories
+ tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_non_wheel_files
+ tests/installation/test_installer.py::test_installer_with_pypi_repository
+ tests/installation/test_pip_installer.py::test_uninstall_git_package_nspkg_pth_cleanup
+ tests/masonry/builders/test_editable_builder.py::test_builder_setup_generation_runs_with_pip_editable
+
+ # Works with network, but otherwise: Backend 'poetry.core.masonry.api' is not available.
+ tests/installation/test_chef.py::test_prepare_sdist
+ tests/installation/test_chef.py::test_prepare_directory
+ tests/installation/test_chef.py::test_prepare_directory_with_extensions
+ tests/installation/test_chef.py::test_prepare_directory_editable
+
+ # Internal test for lockfile being up-to-date
+ # Meaningless, also sdist does not include lockfile
+ tests/installation/test_installer.py::test_not_fresh_lock
+
+ # TODO
+ tests/installation/test_executor.py::test_executor_known_hashes
+ tests/utils/env/test_env_manager.py::test_create_venv_finds_no_python_executable
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/pydyf/Manifest b/dev-python/pydyf/Manifest
index 2ae4605f61d8..4e99e0eb76a7 100644
--- a/dev-python/pydyf/Manifest
+++ b/dev-python/pydyf/Manifest
@@ -1,3 +1,5 @@
DIST pydyf-0.8.0.tar.gz 16342 BLAKE2B c2c00d63fc4fb2aabed20f39fc08fb2b2628e7a9d31d7504d8461331e0ba4654f26e129eb3d9ccf1ab4f376f7ace4f15d6bf87fd74b76c2d50a2a741f7fadb14 SHA512 c78913e723593a4e76c36b7a9b3ddd8a85af856a967053d8f7f297901deb2c6a723e98b3ef311e1c9618018e0e727a2d8eaff1adedb52c743facb85491e8d102
+DIST pydyf-0.9.0.tar.gz 17270 BLAKE2B df2068a2447a36d730d19f12917345ac85026f695193d39267a540a2776aaac6cfa4c501adec25a49183fe92b9b2e4bc089fd3be29943a09a627d4505fc6d3cb SHA512 e834026cae3782f7ac43b47bc30d21f3d1c39bcd4017823aaf01f5da4a67f924650f6e0285107d07bc63743ff4d718b3165a84c5805223305907ba3de45207a5
EBUILD pydyf-0.8.0.ebuild 496 BLAKE2B e11dc9defd5e7f76421df1b1991044f24b1b12a38d695df28ac9a8435b702c138481c06cca2a2e0ddf479fec5cff8245d4e85b8798d7477150560bacabb6c8ee SHA512 66f4d4fa6ef98f2ae1704b417c36600d77405ab282060bb6cbda07cddd4e9b6fd2f8a2026ab77244cbe8aa254d5d0fe437c5c8a85719226c59f4dc8336ee5d52
+EBUILD pydyf-0.9.0.ebuild 497 BLAKE2B e223c266876062597f17887198f7f034b4e7bda9bee6e5a76ff4ca65ff9134ddf12667d92d2f005eee15fc496eb31c88343aafc5d5610c46e21d6aaea33aa2cd SHA512 0b2f5a203dfec6f6c12cbd180a83cce2b0c9d0eeccef4bc2d40f4da0f62743c3af66363c5588940877bf19ab463d2e1d76b7593effd6ed0f837cb41eb75b9764
MISC metadata.xml 346 BLAKE2B 1019f43890db1484163da244f781505c1193dc5516cbeb8921540dc298d4cf61903a9a0151e23cc22b7db7fd677f4424c74b5a051b95eb75e38f3546501096b3 SHA512 420175bcf83c3fe2fc1bcebfd88f07e3c56272b999f9693a82b76a703ea5d94d6e144683a67eca871bc6d2723ceb8f70c4d29e354df20d273587a7be6a369904
diff --git a/dev-python/pydyf/pydyf-0.9.0.ebuild b/dev-python/pydyf/pydyf-0.9.0.ebuild
new file mode 100644
index 000000000000..367fc2edc9f9
--- /dev/null
+++ b/dev-python/pydyf/pydyf-0.9.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A low-level PDF generator"
+HOMEPAGE="
+ https://pypi.org/project/pydyf/
+ https://github.com/CourtBouillon/pydyf/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ app-text/ghostscript-gpl
+ dev-python/pillow[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 86311c1d5d97..e8da67143cf1 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,5 +1,7 @@
DIST pylint-3.0.3.gh.tar.gz 1422200 BLAKE2B 999afa1a26cc9fdc8f88bc7a1173c4621f608321b09798de7dd30ef3f5fa295b354ae17acf52009dc340a527f2414f350777ea5893a522f44a31baa466242c63 SHA512 ac5fe236bab08cdacdf9fb78cbf444348bfaa4a359dabd17bfdef5d8a7d9b72a794fd5e7483ea326d1c006668fbd6c37d0aa1f8e7c9963bc75265eb9ced6d43b
DIST pylint-3.0.4.gh.tar.gz 1423538 BLAKE2B a7ca336831266202f32699b17785fc671222738bdefc2b03dba2a27dde81a193c7d4b51c09d6f6bd61bacaf743dade3ca681c396d64149e1ddd25a897da43952 SHA512 ad674c86a2d52e68e913a92e9e24195c7af185d551b225b6b12b604ca3d9c2e9e3570cff423577dfac66e7af17f48aee2b1807e3973d2e0abba566a85d11e112
+DIST pylint-3.1.0.gh.tar.gz 1433040 BLAKE2B a224af608fa5ccb256c18073a70f82c399ad23ff6df65f7ae3504c67060f5ba1cd36022c7d53a42f0f93bd4648340433601d2f479bef41a4281e8041a9d15715 SHA512 bb7f09fa8b2c6f218c0e4d74ec2d7bbcb5e9d9fa8c2aeae5a1bf899f25080251609f284959fab14dd93cc5dd911688e25d3d4e1e030a1790578bc78ef1ce2bf7
EBUILD pylint-3.0.3.ebuild 2396 BLAKE2B c986caa5a26385d265a5a3ebb152b7f3a6570c39f61cddd39acf0ee2acf18c8246b6d66799e809151ccd7eaf819d0d48bb159ee176aa35348d3d7c39bc1ec726 SHA512 bea3b36f79cead5e51b251503c5c28e70abf686be72d18605fe473e81532c8c23bbc8b9bac792f6641dfd516c77b52b851fd9f59a3b2a0c9b02ff9974685a0e4
EBUILD pylint-3.0.4.ebuild 2445 BLAKE2B a27236b586be59fc8e1843dce0a4c19d96c5dd80bee04f974c5409bf618eab7111cce1da9621d256b11a7675e8e7eee3846a761629ce901cbfd4c75be714937b SHA512 5fe8ae3f87faf85a9288d538d91acc59924779fc7cee21f472db4700f845eb5d576a4d3327bb76634299caaba4546f779f8d0be231563985b9289bba2fbbd528
+EBUILD pylint-3.1.0.ebuild 2412 BLAKE2B 3361c90daf68a35235146af13720936c28db7747e99d111ba6b99a6d3a1f6a4361c7bc43bff81e284848322fb9f5cac6b4d665fe761aedab5fbf2c3fcba7adf2 SHA512 6611fb782354f1f66fa1ac1bf8b6d85c7a12bdc30b5f4e5727e4b65fc16057a2f510686a9fcde44cf44668fc0a655dc370d86b354493a1ba9449f686b14346ca
MISC metadata.xml 1105 BLAKE2B aa9d049b732f9198685901a0ec31f4a615da8398ce1741558e7b2c3840890da0c5ac6a2a23e0fd4cd45fb443b92f69b3fe4fb7f9d7570b1a75a0d0784231f392 SHA512 5f5bb3e31554bdc0cdcdaf1d7df9194e32da649784124714783c5d280c7ab4a9f65317b5d5e6de47698b2f30a019051191cb7ef3066902b606e2582a31f01c05
diff --git a/dev-python/pylint/pylint-3.1.0.ebuild b/dev-python/pylint/pylint-3.1.0.ebuild
new file mode 100644
index 000000000000..f546e777fcd7
--- /dev/null
+++ b/dev-python/pylint/pylint-3.1.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P/_beta/b}
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ https://pypi.org/project/pylint/
+ https://github.com/pylint-dev/pylint/
+"
+SRC_URI="
+ https://github.com/pylint-dev/pylint/archive/v${PV/_beta/b}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="
+ <dev-python/astroid-3.2[${PYTHON_USEDEP}]
+ >=dev-python/astroid-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tomlkit-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+ ' 'python*' )
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ 'tests/test_functional.py::test_functional[dataclass_with_field]'
+ 'tests/test_functional.py::test_functional[no_name_in_module]'
+ 'tests/test_functional.py::test_functional[shadowed_import]'
+ 'tests/test_functional.py::test_functional[use_yield_from]'
+ 'tests/test_functional.py::test_functional[wrong_import_order]'
+ )
+ local EPYTEST_IGNORE=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+ )
+
+ if ! has_version "dev-python/GitPython[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/profile/test_profile_against_externals.py
+ tests/testutils/_primer/test_package_to_lint.py
+ tests/testutils/_primer/test_primer.py
+ )
+ fi
+
+ rm -rf pylint || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p timeout
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index f6ea879a68cf..46061e263851 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,7 +1,9 @@
DIST urwid-2.4.6.tar.gz 801434 BLAKE2B 52b6cd256fbb6f7296619140c0d2cc9dacb910b3666dedb5e53f6c9c66eb17c628c2da7ec3e61ac7c24c9359161a032228bfa676ea9e53169ff3bef873782af3 SHA512 b7255b5f5f274fec952edb808ff859289dbd75f0600f3ddf1b608111f0fef50955efadeb1c1792fe16f5adc6c12a3641bfb50e42bbf8c07b10f431ca50cc0766
DIST urwid-2.5.3.tar.gz 848047 BLAKE2B 42815e22f2659ee25736767391afbf0189b5bec9d1100ce7631efd037989cfacac7ee921666e2400e1ef7ef114261a948cfac172ac993753ce151b370361d375 SHA512 80c32138347a618fc40e1a26fd174e708a9f8e4e9a8e09edc1d9261a9d73a644e356ce375654a55b5fb8838a820b8ba8b1cc47560c5b44c5c74677399845f578
DIST urwid-2.6.4.tar.gz 848823 BLAKE2B ad0f83f0b610d689b55dbc58464ea170be3ec7ed5f90f9c534b2707bd9fe867fdc06a690adf3357ecd9810f28ffb8126ac9d38068087b166641bcad695768b4e SHA512 659010d1f9f66a70d224a95381b477bd634cc2f90d79f117eba7e7dc7569373fd8c2f8de485e72df21b1434c307232e980a2019b018af662262ea2df4d70558c
+DIST urwid-2.6.5.tar.gz 851570 BLAKE2B c99833701b83427005726d9a0d5e1c52f2308617bd7a953370495b0a35fd904c2544a186dd9f74d571045d4dc74af285f9a1da0e3357fdd85ed5ae0162aca3ba SHA512 813b4cfc3f4d418475fdd23b84bf591a6affc30522b18e9f58c067bd71f3bc98962f50866a4b34974d66287a7e5600fdfdf9955fea6cb94c08c1c11a4515e5a8
EBUILD urwid-2.4.6.ebuild 815 BLAKE2B 2f46e87ef616e09c2fb275b1110d663914f2f077d697ce32d8194784b31d20baada412a67c8c36eb0fd27fdfdb1dcda325501545f496ac955773bd997c6d2787 SHA512 289576c2ca991fabb3cd2d2b5732426d6b5d17e9349a4575f02043287488482f92fdeeffed1b020f1060f55b8492532ff368df3d45b4e0515efe298b3b3ac6db
EBUILD urwid-2.5.3.ebuild 883 BLAKE2B e2f063dd5527c972b65870a52b6b68f2a00a671d20a1e88adfecec1d1ab54bd5fd128e135f83f8f8d420de356f0d3c515a46fb6e677cfb3632dd43ff6ae69ddd SHA512 c54a5f18b81e3c4719064136258b1bde104ab7c5dfcbc8e59668b681252768a4bb8cb8f9748d6296603ce6d3d81836552f6fad8528590a4cb25ca6c346a3c5c2
EBUILD urwid-2.6.4.ebuild 978 BLAKE2B 0f661145695e6582e33f6a9a3c5aba2a19682801da0416c82ad8e14a49eec5621976febc8a9de9768f954c36351f3626dfbd65e9ffbed11c39e22d0fdfbc1a28 SHA512 7c83761310f99fb763db6cb5ca02b4e43be38b570b0eb5780deff17c22660584937a13cdc7b546a408c8e3e78598de57a72f686c489e9cc0ee596b91c21852d5
+EBUILD urwid-2.6.5.ebuild 978 BLAKE2B 0f661145695e6582e33f6a9a3c5aba2a19682801da0416c82ad8e14a49eec5621976febc8a9de9768f954c36351f3626dfbd65e9ffbed11c39e22d0fdfbc1a28 SHA512 7c83761310f99fb763db6cb5ca02b4e43be38b570b0eb5780deff17c22660584937a13cdc7b546a408c8e3e78598de57a72f686c489e9cc0ee596b91c21852d5
MISC metadata.xml 1194 BLAKE2B 387c1e6ca71806f706b054e11755e885c7bbe11e6be1b639a6160e0b2c51df91feef025f6166a973a38e8ad16fe7627ba6f2b5e293c007da8a1e32e46db1541d SHA512 ee6bb39746fdfe3ebcc83304cb9d7c7cce16f4caca284bd82907fd13672bdcf982f1fbfba22b0877da8de9f6cdadc4045916eff678095320745eab954960ab6f
diff --git a/dev-python/urwid/urwid-2.6.5.ebuild b/dev-python/urwid/urwid-2.6.5.ebuild
new file mode 100644
index 000000000000..0d52239b0d14
--- /dev/null
+++ b/dev-python/urwid/urwid-2.6.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf urwid || die
+ eunittest
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index 285fc1be69ca..86a6d648a178 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1,7 +1,9 @@
DIST weasyprint-60.1.tar.gz 441148 BLAKE2B 3d5eb6d9dd80a222649a03e09a096786bc4add67c7df3965325217a4c03aa4a545d442b6327b83bea082fa50f5d1ba32587749449824267acc849a0374a58cea SHA512 7fc05c6c80fc6eb251637b529720794df4b7d5c066ecfb4086cb49b7e1c42a51fcb7b2502a79f9f01f6cc5b83d92d5a48c7386b2db555e7dba6eb64e3151d6ae
DIST weasyprint-60.2.tar.gz 442554 BLAKE2B 492f0cd3f155aa20e440e384930cff38e8674cc2430f134fdcce80e627997b0d752d6b585aaece6ff23505fed3ff45430c06c82763ca96ce30da38411e21721f SHA512 1da30b2626911c22a996cf7888edc86a7e3534d552325790c3bb06b29a7bedda8021680f5cac1acd6f0aba0658c64cda02cafa1fcba5f3a76bce6bb5fb229b71
DIST weasyprint-61.0.tar.gz 447890 BLAKE2B 2e282f6a9e5979b44c52fba50c80041a75d7019bc7d24776f4ffd277b2cdb8f5a117e625a19a60ad013e487ced687aff13dc61e742e766c0d7b374a30f54cb58 SHA512 8f8d0dd9b49c7617a710e49f32c2b2f99750c5385b8e6fa78c3a646a01c961ebb5ebdeb4b3fb93dba898de61b687218063884e198d8fb98dd119973192440279
+DIST weasyprint-61.1.tar.gz 446987 BLAKE2B f32e0ec4014d6bd023e5320de9c2878b529fe1725691bb8c73fe295784507a5e785938d043a3731f659fd2c49fe2413008264b8ca8748c451bd99ce07209c9ff SHA512 f7f0c84acc9a9eba61fc59c7f16eb9260ca93ba901905c3cdc1fb871f3646687eb9881dd486eeec5d98cebb5d1893f2fcdff585cdb356bdfb0e38fdd0167b316
EBUILD weasyprint-60.1.ebuild 979 BLAKE2B 11567941df8db10f5b1e81d60ba838cfccd589eece230abfc00bb9e87ee55662de25cd66e7279f81f09d264de8d4a185e9dcd4f37f62eb2ebd25faeca562318e SHA512 deedd5aba05d71cdd058fef72b4e70c02480853029e2a1db36fcbce4183e53b0e98aaa721395b878ab52f99059b48c28aa0676c9306c201d64071789448c7f73
EBUILD weasyprint-60.2.ebuild 979 BLAKE2B 11567941df8db10f5b1e81d60ba838cfccd589eece230abfc00bb9e87ee55662de25cd66e7279f81f09d264de8d4a185e9dcd4f37f62eb2ebd25faeca562318e SHA512 deedd5aba05d71cdd058fef72b4e70c02480853029e2a1db36fcbce4183e53b0e98aaa721395b878ab52f99059b48c28aa0676c9306c201d64071789448c7f73
EBUILD weasyprint-61.0.ebuild 980 BLAKE2B 278b4486be2a42b09c3d866b795bf2e46cbe00ee5517f7bf3e7aabd3512919f0d25beffeb7f8fb006f230fde364b2c729b498f4ac9982473f1194a4ce7d685c9 SHA512 ae6a51b67f326470d44412f6374bab973b892c8628be47db8e53fb8fa8a8edb653ca7bf47a3f8d8bc919854d9c53f7048c300c5148079d2a24f2d50d3157daca
+EBUILD weasyprint-61.1.ebuild 1051 BLAKE2B 644e8fc77a6420ee19ad23876e84ec4051ed6d286cb3a66a98ad6b90a5432369b538d902f183d5bdb31f05a8906cdf0d1f8e68e6805f0ca2cad4e9e819797b89 SHA512 c5e98f59fc0d06ece87b281c1e8fcd3ebb4d1b2ea3277e6637f3301fab3da68c7a5f7bb515f40b482a3a9f53ff4b6adda3d8d08fb8762b03b12790e4e7b93c17
MISC metadata.xml 382 BLAKE2B 3e5d142b055354e1ea440d9efd4bf92458b1da3f777dd90929ce2041ca6e0969fa6e58aacfb4a5a93ff90805e0d8ec4c9c6253559ca54698f5029639ce35ac8a SHA512 43415064a6f56eaca974031e51d63118d1c65b33e4399302fc72cc2cd6f15e0a47cf411b18d3c5136e866115855deb19b6a9e058a18049151959ce5ee29ececf
diff --git a/dev-python/weasyprint/weasyprint-61.1.ebuild b/dev-python/weasyprint/weasyprint-61.1.ebuild
new file mode 100644
index 000000000000..9af57e769437
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-61.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.0.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}